Description

In Style Manager, when grouping symbols into a group, you get a dialog with symbols and a checkbox associated. This helps to easily

select symbols and switch among tabs without being forced to hold any key.

However, it means that you need to select symbols one by one.

It may be interesting to have an option to select many symbols at once (click'n drag, holding a shift or ctrl key)

History

#1 - 2016-01-02 12:49 PM - Sebastian Dietrich

It may be interesting to have an option to select many symbols at once (click'n drag, holding a shift or ctrl key).

This is possible when you are not in the grouping mode (where the checkboxes appear). You can then select using the usual functions with the mouse like

click'n'drag, holding shift or ctrl key.

I guess you know of that option and so I am interested in why you don't want to use it.

#2 - 2016-01-02 06:16 PM - Harrissou Santanna

Hi Sebastian,

I'm not using any of them :). I was just checking how it works so that I can update the Doc.

And indeed, i know of the two ways but I found handy the checkbox process so wonder if it could be improved (especially thought about click'n drag)

Maybe it'll complicate too much the use of the widget?

#3 - 2016-01-05 01:31 PM - Sebastian Dietrich

Hi Harrissou,

I see. I think this dialog is a good example of using modes. 

IMHO the grouping mode should be dropped. The accepted method to select multiple objects is to Ctrl-Click or Ctrl-Click'n'drag and so on, not by using

checkboxes.

Technically while in grouping mode currently no item can be selected at all. It would be possible to allow selection and toggle  the checkboxes for every

selected item, immediatly deselecting it afterwards. But I will not implement this :-)

However, one improvement I was thinking about is allowing drag'n'drop to the group tree. This is a feature I think the user would expect.

#4 - 2016-01-06 01:02 AM - Harrissou Santanna
https://en.wikipedia.org/wiki/Mode_(computer_interface)


It sounds good to me.

And +1 for the drag'n drop to the group tree.

#5 - 2016-01-08 02:29 AM - Harrissou Santanna

What about allowing drag'n drop for group also? User can move a sub-group to another group.

#6 - 2017-05-01 12:46 AM - Giovanni Manghi

- Easy fix? set to No

#7 - 2017-05-06 11:12 PM - Regis Haubourg

- Resolution set to invalid

- Description updated

- Category set to Symbology

- Status changed from Open to Closed

Groups are gone in QGIS3 to the benefit of tags or Smart Groups. 

please reopen if necessary!
